Subject: Re: bug#37655: 27.0.50; reversing `gnus-thread-sort-by-most-recent-date' does not work properly

From: Eric Abrahamsen <[email-masked]>
Date: Wed, 09 Oct 2019 14:04:43 -0700

Hong Xu <[email-masked]> writes:

> On 10/9/19 11:55 AM, Eric Abrahamsen wrote:
>> I can reproduce this, but oddly it only seems to have gone wrong for
>> that one thread -- all the other threads in the mailbox seem to be
>> sorted correctly. I also note that the Summary buffer displays the date
>> of both messages in the thread as one day earlier than the Date header
>> in the message itself. So I wonder if there's just something weird about
>> one or both of the messages that's causing Gnus to handle the date
>> incorrectly.
>> When I have a bit more time I'll try to figure out what date Gnus is
>> trying to use for that thread.
>> 
>
> On my personal messages, there is also only exactly one thread placed
> in the wrong position. My guess is that there may be something on the
> boundary not handled properly during sorting ...

Ah, I guess that would make sense. Are the dates also displayed
incorrectly in the Summary format line for the messages in that thread?

Eric